"use strict";

var log4js = require('log4js');

var $depth = 10;

log4js.configure({
  appenders : [ {
    type : "console",
    layout : {
      type : "pattern",
      pattern : "%[%p {%x{ln}} -%]\t%m",
      tokens : {
        ln : function() {
          // The caller:
          var filePath = (new Error()).stack.split("\n")[$depth].split("\\");
          filePath = filePath[filePath.length - 1].split("/");
          return filePath[filePath.length - 1];
        }
      }
    }
  } ]
});

var logger = log4js.getLogger();
module.exports = logger;
