"use strict";

/**
 * Class representing reaction visualized in a layout.
 * 
 * @param javaObject
 *          object deserialized from ajax query to the server side
 */
function LayoutReaction(javaObject) {
  this.setId(javaObject.idObject);
  this.width = javaObject.width;
  this.color = javaObject.color;
  this.reverse = javaObject.reverse;
}

LayoutReaction.prototype.getId = function() {
  return this.id;
};

LayoutReaction.prototype.setId = function(id) {
  this.id = id;
};

LayoutReaction.prototype.getWidth = function() {
  return this.width;
};
LayoutReaction.prototype.getColor = function() {
  return this.color;
};
LayoutReaction.prototype.getReverse = function() {
  return this.reverse;
};

module.exports = LayoutReaction;
